Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.TextInteractionFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.TextInteractionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.TextInteractionFlag

extends java.lang.Enum
implements QtEnumerator

This enum specifies how a text displaying widget reacts to user input.

See Also:
  Serialized Form

Field Summary
`static Qt.TextInteractionFlag` | `LinksAccessibleByKeyboard` Links can be focused using tab and activated with enter.
`static Qt.TextInteractionFlag` | `LinksAccessibleByMouse` Links can be highlighted and activated with the mouse.
`static Qt.TextInteractionFlag` | `NoTextInteraction` No interaction with the text is possible.
`static Qt.TextInteractionFlag` | `TextBrowserInteraction` The default for `QTextBrowser`.
`static Qt.TextInteractionFlag` | `TextEditable` The text is fully editable.
`static Qt.TextInteractionFlag` | `TextEditorInteraction` The default for a text editor.
`static Qt.TextInteractionFlag` | `TextSelectableByKeyboard` Text can be selected with the cursor keys on the keyboard.
`static Qt.TextInteractionFlag` | `TextSelectableByMouse` Text can be selected with the mouse and copied to the clipboard using a context menu or standard keyboard shortcuts.

Method Summary
`static Qt.TextInteractionFlags` | `createQFlags(Qt.TextInteractionFlag[] values)` This function creates a com.trolltech.qt.core.Qt$TextInteractionFlags with the specified `com.trolltech.qt.core.Qt$TextInteractionFlag[]` TextInteractionFlag values set.
`static Qt.TextInteractionFlag` | `resolve(int value)` Returns the TextInteractionFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.TextInteractionFlag` | `valueOf(java.lang.String name)`
`static Qt.TextInteractionFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoTextInteraction

    public static final Qt.TextInteractionFlag NoTextInteraction

  No interaction with the text is possible.

### TextSelectableByMouse

    public static final Qt.TextInteractionFlag TextSelectableByMouse

  Text can be selected with the mouse and copied to the clipboard using a context menu or standard keyboard shortcuts.

### TextSelectableByKeyboard

    public static final Qt.TextInteractionFlag TextSelectableByKeyboard

  Text can be selected with the cursor keys on the keyboard. A text cursor is shown.

### LinksAccessibleByMouse

    public static final Qt.TextInteractionFlag LinksAccessibleByMouse

  Links can be highlighted and activated with the mouse.

### LinksAccessibleByKeyboard

    public static final Qt.TextInteractionFlag LinksAccessibleByKeyboard

  Links can be focused using tab and activated with enter.

### TextEditable

    public static final Qt.TextInteractionFlag TextEditable

  The text is fully editable.

### TextEditorInteraction

    public static final Qt.TextInteractionFlag TextEditorInteraction

  The default for a text editor.

### TextBrowserInteraction

    public static final Qt.TextInteractionFlag TextBrowserInteraction

  The default for `QTextBrowser`.

Method Detail

### values

    public static Qt.TextInteractionFlag[] values()

### valueOf

    public static Qt.TextInteractionFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.TextInteractionFlags createQFlags(Qt.TextInteractionFlag[] values)

  This function creates a com.trolltech.qt.core.Qt$TextInteractionFlags with the specified `com.trolltech.qt.core.Qt$TextInteractionFlag[]` TextInteractionFlag values set.

### resolve

    public static Qt.TextInteractionFlag resolve(int value)

  Returns the TextInteractionFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD